Loading...
Searching...
No Matches
websocketpp::log::channel_type_hint Struct Reference

Package of values for hinting at the nature of a given logger. More...

`#include <levels.hpp>`

## Public Types

typedef uint32_t | value
| Type of a channel type hint value.

## Static Public Attributes

static value const | none = 0
| No information.
static value const | access = 1
| Access log.
static value const | error = 2
| Error log.

## Detailed Description

Package of values for hinting at the nature of a given logger.

Used by the library to signal to the logging class a hint that it can use to set itself up. For example, the access hint indicates that it is an access log that might be suitable for being printed to an access log file or to cout whereas error might be suitable for an error log file or cerr.

Definition at line 46 of file levels.hpp.

## Member Typedef Documentation

## value

typedef uint32_t websocketpp::log::channel_type_hint::value

Type of a channel type hint value.

Definition at line 48 of file levels.hpp.

## Member Data Documentation

## access

value const websocketpp::log::channel_type_hint::access = 1

static

Access log.

Definition at line 53 of file levels.hpp.

## error

value const websocketpp::log::channel_type_hint::error = 2

static

Error log.

Definition at line 55 of file levels.hpp.

## none

value const websocketpp::log::channel_type_hint::none = 0

static

No information.

Definition at line 51 of file levels.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/logger/levels.hpp